From: "Michael Sterrett" <mr_bones_@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/zziplib/
Date: Wed, 13 Jan 2016 18:44:17 +0000 (UTC) [thread overview]
Message-ID: <1452710646.cf582e49cb034d3365a25aca87e829d042a5aaf2.mr_bones_@gentoo> (raw)
commit: cf582e49cb034d3365a25aca87e829d042a5aaf2
Author: Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 13 18:40:47 2016 +0000
Commit: Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Wed Jan 13 18:44:06 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf582e49
dev-libs/zziplib: EAPI=5; convert to python-single-r1
Package-Manager: portage-2.2.26
dev-libs/zziplib/zziplib-0.13.62-r1.ebuild | 84 ++++++++++++++++++++++++++++++
1 file changed, 84 insertions(+)
diff --git a/dev-libs/zziplib/zziplib-0.13.62-r1.ebuild b/dev-libs/zziplib/zziplib-0.13.62-r1.ebuild
new file mode 100644
index 0000000..910da39
--- /dev/null
+++ b/dev-libs/zziplib/zziplib-0.13.62-r1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+inherit libtool eutils flag-o-matic python-single-r1
+
+DESCRIPTION="Lightweight library used to easily extract data from files archived in a single zip file"
+HOMEPAGE="http://zziplib.sourceforge.net/"
+SRC_URI="mirror://sourceforge/zziplib/${P}.tar.bz2"
+
+LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc sdl static-libs test"
+
+RDEPEND="sys-libs/zlib
+ sdl? ( >=media-libs/libsdl-1.2.6 )"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ virtual/pkgconfig
+ test? ( app-arch/zip )"
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-0.13.49-SDL-test.patch
+
+ python_fix_shebang .
+
+ # workaround AX_CREATE_PKGCONFIG_INFO bug #353195
+ sed -i \
+ -e '/ax_create_pkgconfig_ldflags/s:$LDFLAGS::' \
+ -e '/ax_create_pkgconfig_cppflags/s:$CPPFLAGS::' \
+ configure || die
+
+ # zziplib tries to install backwards compat symlinks we dont want
+ sed -i -e '/^zzip-postinstall:/s|$|\ndisable-this:|' Makefile.in || die
+ sed -i -e '/^install-exec-hook:/s|$|\ndisable-this:|' zzip/Makefile.in || die
+
+ elibtoolize
+
+ # Do an out-of-tree build as their configure will do it automatically
+ # otherwise and that can lead to funky errors. #492816
+ mkdir -p build
+}
+
+src_configure() {
+ cd "${S}"/build
+
+ append-flags -fno-strict-aliasing # bug reported upstream
+ export ac_cv_path_XMLTO= # man pages are bundled in .tar's
+
+ # Disable aclocal probing as the default path works #449156
+ ECONF_SOURCE=${S} \
+ ACLOCAL=true \
+ econf \
+ $(use_enable sdl) \
+ $(use_enable static-libs static)
+ MAKEOPTS+=' -C build'
+}
+
+src_test() {
+ # need this because `make test` will always return true
+ # tests fail with -j > 1 (bug #241186)
+ emake -j1 check
+}
+
+src_install() {
+ default
+ # fowners fails when we don't have enough permissions (Prefix)
+ if [[ ${EUID} == 0 ]] ; then
+ fowners -R root /usr/share/man #321975
+ fi
+
+ prune_libtool_files
+
+ if use doc ; then
+ dohtml -r docs/*
+ fi
+}
next reply other threads:[~2016-01-13 18:44 UTC|newest]
Thread overview: 124+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-01-13 18:44 Michael Sterrett [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-23 0:13 [gentoo-commits] repo/gentoo:master commit in: dev-libs/zziplib/ Sam James
2025-01-23 0:13 Sam James
2025-01-09 0:08 Sam James
2024-11-25 21:49 Sam James
2024-11-23 16:02 Michał Górny
2024-11-23 15:42 Michał Górny
2024-11-23 14:51 Sam James
2024-11-20 11:44 Sam James
2024-10-21 21:14 Andreas Sturmlechner
2024-10-18 17:32 Arthur Zamarin
2024-10-15 5:22 Sam James
2024-10-13 22:12 Sam James
2024-10-13 15:53 Sam James
2024-10-13 15:53 Sam James
2024-10-13 15:53 Sam James
2024-10-13 15:53 Sam James
2024-07-10 6:36 Sam James
2024-07-10 6:36 Sam James
2024-03-08 14:24 Sam James
2024-03-08 13:09 Sam James
2024-03-08 13:09 Sam James
2024-01-23 16:40 Sam James
2024-01-23 15:08 Sam James
2024-01-23 15:08 Sam James
2024-01-23 7:44 Joonas Niilola
2024-01-23 5:43 Sam James
2024-01-23 4:27 Sam James
2024-01-23 4:23 Sam James
2024-01-23 4:17 Sam James
2023-03-07 7:57 Sam James
2022-12-20 19:00 Andreas Sturmlechner
2022-12-02 18:55 Arthur Zamarin
2022-12-02 0:46 Sam James
2022-12-02 0:46 Sam James
2022-12-02 0:46 Sam James
2022-12-01 22:28 Jakov Smolić
2022-12-01 22:24 Jakov Smolić
2022-12-01 22:22 Jakov Smolić
2022-12-01 20:41 Arthur Zamarin
2022-11-24 18:14 Conrad Kostecki
2022-06-05 9:08 Sam James
2022-05-26 23:17 Jakov Smolić
2022-05-26 11:17 Jakov Smolić
2022-05-26 11:17 Jakov Smolić
2022-05-26 11:16 Jakov Smolić
2022-05-26 11:16 Jakov Smolić
2022-05-26 11:16 Jakov Smolić
2022-05-26 11:16 Jakov Smolić
2022-05-14 10:30 WANG Xuerui
2022-02-18 13:05 Matthew Smith
2022-02-18 13:05 Matthew Smith
2021-02-16 12:34 Sam James
2021-02-14 5:37 Sam James
2021-02-11 7:53 Sam James
2021-02-09 22:51 Sam James
2021-02-09 21:30 Sam James
2021-02-09 6:16 Sam James
2021-02-09 6:15 Sam James
2021-02-08 15:08 Sergei Trofimovich
2021-01-09 4:54 Sam James
2021-01-09 4:21 Sam James
2021-01-06 19:34 Fabian Groffen
2020-12-13 7:42 Sam James
2020-12-12 4:49 Sam James
2020-12-11 23:10 Sergei Trofimovich
2020-12-11 23:07 Sergei Trofimovich
2020-12-11 14:49 Joonas Niilola
2020-12-11 7:42 Sergei Trofimovich
2020-12-10 21:41 Thomas Deutschmann
2020-09-17 6:12 Sam James
2020-09-17 6:12 Sam James
2020-09-14 14:31 Sam James
2020-09-14 1:54 Sam James
2020-09-14 1:39 Sam James
2020-09-14 1:35 Sam James
2020-09-06 16:46 Andreas Sturmlechner
2020-09-06 7:49 Sergei Trofimovich
2020-08-30 5:17 Sam James
2020-08-30 4:03 Sam James
2020-08-29 23:27 Thomas Deutschmann
2020-08-29 23:27 Thomas Deutschmann
2020-08-24 8:29 Mikle Kolyada
2020-08-22 18:52 Andreas Sturmlechner
2020-08-21 7:35 Sam James
2020-08-21 7:35 Sam James
2020-08-19 22:40 Sam James
2020-08-19 18:09 Sam James
2020-08-18 16:53 Agostino Sarubbo
2020-08-18 16:52 Agostino Sarubbo
2020-08-18 11:18 Agostino Sarubbo
2020-08-18 11:16 Agostino Sarubbo
2020-04-05 19:47 Andreas Sturmlechner
2020-03-16 23:39 Andreas Sturmlechner
2020-02-21 20:59 Mart Raudsepp
2020-02-12 16:14 Agostino Sarubbo
2020-02-11 11:37 Agostino Sarubbo
2020-02-06 7:51 Sergei Trofimovich
2020-01-30 12:14 Agostino Sarubbo
2020-01-30 12:11 Agostino Sarubbo
2020-01-30 11:06 Agostino Sarubbo
2020-01-30 11:05 Agostino Sarubbo
2020-01-30 11:00 Agostino Sarubbo
2020-01-29 10:17 Agostino Sarubbo
2020-01-17 2:40 Andreas Sturmlechner
2019-02-07 11:41 Mikle Kolyada
2019-02-07 11:41 Mikle Kolyada
2019-02-02 19:18 Sergei Trofimovich
2019-01-31 22:15 Thomas Deutschmann
2019-01-31 20:21 Markus Meier
2019-01-31 7:25 Sergei Trofimovich
2019-01-30 13:20 Tobias Klausmann
2019-01-27 13:48 Mart Raudsepp
2018-06-22 9:46 Mikle Kolyada
2017-04-26 18:05 David Seifert
2017-03-28 22:52 Michael Weber
2017-01-29 16:19 Fabian Groffen
2016-12-23 15:08 Markus Meier
2016-10-18 19:26 Pacho Ramos
2016-10-16 17:45 Tobias Klausmann
2016-10-12 18:33 Pacho Ramos
2016-10-10 15:16 Jeroen Roovers
2016-01-28 5:50 Michael Sterrett
2016-01-13 18:44 Michael Sterrett
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1452710646.cf582e49cb034d3365a25aca87e829d042a5aaf2.mr_bones_@gentoo \
--to=mr_bones_@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox